# FloatType Class Reference
[Supported meta-types]

Inheritance diagram for FloatType:
[legend]

List of all members.

## Public Member Functions

| getPrimitiveName ()
| setDefault ($default)
| setPrecision ($precision)
| getPrecision ()
| isMeasurable ()
| toColumnType ()

## Protected Attributes

| $precision = 0

## Detailed Description

Definition at line 15 of file FloatType.class.php.

## Member Function Documentation

FloatType::getPrecision | ( |  | ) |

Definition at line 50 of file FloatType.class.php.

FloatType::getPrimitiveName | ( |  | ) |

Reimplemented from IntegerType.

Definition at line 19 of file FloatType.class.php.

FloatType::isMeasurable | ( |  | ) |

Reimplemented from IntegerType.

Definition at line 55 of file FloatType.class.php.

FloatType::setDefault | ( | $ | default | ) |

Exceptions:

  | WrongArgumentException |

Returns:
  FloatType

Reimplemented from IntegerType.

Definition at line 28 of file FloatType.class.php.

References BasePropertyType::$default, and Assert::isFloat().

Here is the call graph for this function:

FloatType::setPrecision | ( | $ | precision | ) |

Returns:
  NumericType

Definition at line 43 of file FloatType.class.php.

References $precision.

FloatType::toColumnType | ( |  | ) |

Reimplemented from IntegerType.

Reimplemented in DoubleType, and NumericType.

Definition at line 60 of file FloatType.class.php.

## Member Data Documentation

FloatType::$precision = 0`[protected]`

Definition at line 17 of file FloatType.class.php.

Referenced by setPrecision().

The documentation for this class was generated from the following file:

- meta/types/FloatType.class.php